<h1 mat-dialog-title>Trends</h1>
<div mat-dialog-content>
  <div>
    <mat-form-field>
        <mat-label>Select year</mat-label>
        <mat-select #year>
          <mat-option *ngFor="let year of yearData" [value]="year">
            {{year}}
          </mat-option>
        </mat-select>
      </mat-form-field>
      <mat-form-field>
        <mat-label>Select Trend Type</mat-label>
        <mat-select #type>
          <mat-option *ngFor="let trend of trendType" [value]="trend">
            {{trend}}
          </mat-option>
        </mat-select>
      </mat-form-field>
      <button mat-raised-button color="primary" [disabled]="type.value==null || year.value==null" (click)="getTrendsData(type.value,year.value)">Show Trends</button>
  </div>
  <div>
        <canvas id="canvas">{{ chart }}</canvas>
  </div>
</div>
<div mat-dialog-actions>
  <button mat-raised-button color="primary" [mat-dialog-close]="true" >Close</button>
</div>
